OpenShop::PrintTask Class Reference

Helper class for representing tasks when printing a solution. More...

## Public Member Functions

bool | operator() (const PrintTask &t1, const PrintTask &t2)
| Comparison of tasks based on start time, used for sorting.

## Public Attributes

int | start
int | job
int | p

## Detailed Description

Helper class for representing tasks when printing a solution.

Definition at line 265 of file open-shop.cpp.

## Member Function Documentation

## operator()()

bool OpenShop::PrintTask::operator() | ( | const PrintTask & | t1,
|  | const PrintTask & | t2 )

inline

Comparison of tasks based on start time, used for sorting.

Definition at line 271 of file open-shop.cpp.

## Member Data Documentation

## start

int OpenShop::PrintTask::start

Definition at line 267 of file open-shop.cpp.

## job

int OpenShop::PrintTask::job

Definition at line 268 of file open-shop.cpp.

## p

int OpenShop::PrintTask::p

Definition at line 269 of file open-shop.cpp.

The documentation for this class was generated from the following file:

- examples/open-shop.cpp